local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ReputationUICata(container)





--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CCataclysm:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("All Cataclysm Reputation Guides for Alliance, Horde and Neutral Factions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  




  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  



--[[ Guides ]]--




--[[ A ]]-- 
  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\ui_alliance_7legionmedal:32|t'.."|cff00E5EE Alliance:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Baradin's Wardens")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.BaradinsWardensGuide(container)
  
  end)
  
  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Wildhammer Clan")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.WildhammerClanGuide(container)
  
  end)

--[[ H ]]--


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\inv_bannerpvp_01:32|t '.."|cffff0000Horde:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Hellscreams Reach")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.HellscreamsReachGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Dragonmaw Clan")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.DragonmawClanGuide(container)
  
  end)

--[[ N ]]--


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")  
  desc:SetText('|TInterface\\Icons\\pvecurrency-valor:32|t '.."|cff00C78CNeutral :")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Guardians of Hyjal")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.GuardiansofHyjalGuide(container)
  
  end)


  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Avengers of Hyjal")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.AvengersofHyjalGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Ramkahen")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.RamkahenGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Therazane")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TherazaneGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Earthen Ring")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheEarthenRingGuide(container)
  
  end)















  
  
  
  
  
  
  
  
  
  
  
  end